Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/cnet/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- Makefile	4 Feb 2004 05:07:58 -0000	1.23
+++ Makefile	23 Nov 2004 17:21:13 -0000
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	cnet
-PORTVERSION=	1.7.7
-PORTREVISION=	2
+PORTVERSION=	2.0.9
 CATEGORIES=	net tcl84 tk84
-MASTER_SITES=	http://www.cs.uwa.edu.au/cnet/
+MASTER_SITES=	http://www.csse.uwa.edu.au/cnet/
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
@@ -25,8 +24,8 @@
 MAN1=		cnet.1
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|8.2|8.4|g ; \
-		 s|82|84|g' ${WRKSRC}/src/Makefile.freebsd
+	@${REINPLACE_CMD} -e 's|8.3|8.4|g ; \
+		 s|83|84|g' ${WRKSRC}/src/Makefile.freebsd
 	@${REINPLACE_CMD} -e 's|%%CC%%|${CC}|g ; \
 		 s|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/src/config.h
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/cnet/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- distinfo	29 Jan 2004 16:10:40 -0000	1.12
+++ distinfo	23 Nov 2004 17:15:09 -0000
@@ -1,2 +1,2 @@
-MD5 (cnet-1.7.7.tgz) = a76fd6bec9b919dc20a8e559f09b06c2
-SIZE (cnet-1.7.7.tgz) = 1019105
+MD5 (cnet-2.0.9.tgz) = 593b63c809773a284bc3d655dc609298
+SIZE (cnet-2.0.9.tgz) = 1165028
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/cnet/pkg-plist,v
retrieving revision 1.9
diff -u -r1.9 pkg-plist
--- pkg-plist	17 Jan 2002 04:37:02 -0000	1.9
+++ pkg-plist	23 Nov 2004 17:15:09 -0000
@@ -6,6 +6,7 @@
 share/cnet/bsd.gif
 share/cnet/cnet.h
 share/cnet/cnet.tcl
+share/cnet/cnet64bits.h
 share/cnet/dead.gif
 share/cnet/europe1.gif
 share/cnet/hurd.gif
@@ -27,8 +28,10 @@
 share/cnet/zap.gif
 %%PORTDOCS%%share/doc/cnet/application.html
 %%PORTDOCS%%share/doc/cnet/attributes.html
+%%PORTDOCS%%share/doc/cnet/changelog.html
+%%PORTDOCS%%share/doc/cnet/datatypes.html
 %%PORTDOCS%%share/doc/cnet/drawframes.html
-%%PORTDOCS%%share/doc/cnet/enumerated.html
+%%PORTDOCS%%share/doc/cnet/ethernets.html
 %%PORTDOCS%%share/doc/cnet/eventdriven.html
 %%PORTDOCS%%share/doc/cnet/eventfuncs.html
 %%PORTDOCS%%share/doc/cnet/faq.html
@@ -39,6 +42,9 @@
 %%PORTDOCS%%share/doc/cnet/images/australia2.gif
 %%PORTDOCS%%share/doc/cnet/images/costs.gif
 %%PORTDOCS%%share/doc/cnet/images/drawframes.gif
+%%PORTDOCS%%share/doc/cnet/images/error1.gif
+%%PORTDOCS%%share/doc/cnet/images/ethernet1.gif
+%%PORTDOCS%%share/doc/cnet/images/ethernet2.gif
 %%PORTDOCS%%share/doc/cnet/images/europe.gif
 %%PORTDOCS%%share/doc/cnet/images/layers.fig
 %%PORTDOCS%%share/doc/cnet/images/layers.gif
@@ -46,15 +52,19 @@
 %%PORTDOCS%%share/doc/cnet/images/mainstdio.gif
 %%PORTDOCS%%share/doc/cnet/images/mainwindow.gif
 %%PORTDOCS%%share/doc/cnet/images/multinode.gif
+%%PORTDOCS%%share/doc/cnet/images/new.gif
 %%PORTDOCS%%share/doc/cnet/images/purple-line.gif
 %%PORTDOCS%%share/doc/cnet/images/purplefade.gif
 %%PORTDOCS%%share/doc/cnet/images/random12.gif
 %%PORTDOCS%%share/doc/cnet/images/skey5.gif
 %%PORTDOCS%%share/doc/cnet/images/stallings6.jpg
+%%PORTDOCS%%share/doc/cnet/images/stallings7.gif
 %%PORTDOCS%%share/doc/cnet/images/tracing1.gif
 %%PORTDOCS%%share/doc/cnet/images/tracing2.gif
+%%PORTDOCS%%share/doc/cnet/images/updated.gif
 %%PORTDOCS%%share/doc/cnet/index.html
 %%PORTDOCS%%share/doc/cnet/install.html
+%%PORTDOCS%%share/doc/cnet/int64.html
 %%PORTDOCS%%share/doc/cnet/introduction.html
 %%PORTDOCS%%share/doc/cnet/options.html
 %%PORTDOCS%%share/doc/cnet/otherfuncs.html
@@ -66,12 +76,12 @@
 %%PORTDOCS%%share/doc/cnet/walkthrough.html
 %%PORTDOCS%%share/examples/cnet/AUSTRALIA.MAP
 %%PORTDOCS%%share/examples/cnet/CLICK
+%%PORTDOCS%%share/examples/cnet/ETHERTEST
 %%PORTDOCS%%share/examples/cnet/EUROPE.MAP
 %%PORTDOCS%%share/examples/cnet/FLOODING1
 %%PORTDOCS%%share/examples/cnet/FLOODING2
 %%PORTDOCS%%share/examples/cnet/FLOODING3
 %%PORTDOCS%%share/examples/cnet/KEYBOARD
-%%PORTDOCS%%share/examples/cnet/LINKCRASH
 %%PORTDOCS%%share/examples/cnet/LINKSTATE
 %%PORTDOCS%%share/examples/cnet/MAXFLOW
 %%PORTDOCS%%share/examples/cnet/Makefile
@@ -85,6 +95,7 @@
 %%PORTDOCS%%share/examples/cnet/WORLD
 %%PORTDOCS%%share/examples/cnet/WORLD.MAP
 %%PORTDOCS%%share/examples/cnet/click.c
+%%PORTDOCS%%share/examples/cnet/ethertest.c
 %%PORTDOCS%%share/examples/cnet/flooding.gp
 %%PORTDOCS%%share/examples/cnet/flooding1.c
 %%PORTDOCS%%share/examples/cnet/flooding1.dat
@@ -93,12 +104,12 @@
 %%PORTDOCS%%share/examples/cnet/flooding3.c
 %%PORTDOCS%%share/examples/cnet/flooding3.dat
 %%PORTDOCS%%share/examples/cnet/keyboard.c
-%%PORTDOCS%%share/examples/cnet/linkcrash.c
 %%PORTDOCS%%share/examples/cnet/linkstate.c
+%%PORTDOCS%%share/examples/cnet/nltable.c
+%%PORTDOCS%%share/examples/cnet/nltable.h
 %%PORTDOCS%%share/examples/cnet/protocol.c
 %%PORTDOCS%%share/examples/cnet/result.file
 %%PORTDOCS%%share/examples/cnet/stopandwait.c
-%%PORTDOCS%%share/examples/cnet/stopandwait2.c
 %%PORTDOCS%%share/examples/cnet/ticktock.c
 %%PORTDOCS%%@dirrm share/examples/cnet
 %%PORTDOCS%%@dirrm share/doc/cnet/images
Index: files/patch-cnet64bits.h
===================================================================
RCS file: files/patch-cnet64bits.h
diff -N files/patch-cnet64bits.h
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-cnet64bits.h	23 Nov 2004 17:37:00 -0000
@@ -0,0 +1,10 @@
+--- src/cnet64bits.h.orig	Tue Nov 23 18:18:24 2004
++++ src/cnet64bits.h	Tue Nov 23 18:18:12 2004
+@@ -59,6 +59,7 @@
+ 	defined(_MIPSEL) || 	\
+ 	defined(__alpha__) || 	\
+ 	defined(__alpha) ||	\
++	defined(__amd64__) ||	\
+ 	defined(BIT_ZERO_ON_RIGHT)
+ #define IS_LITTLE_ENDIAN	1
+ #endif
Index: files/patch-parser.c
===================================================================
RCS file: files/patch-parser.c
diff -N files/patch-parser.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-parser.c	23 Nov 2004 17:37:00 -0000
@@ -0,0 +1,18 @@
+--- src/parser.c.orig	Tue Nov 23 18:22:00 2004
++++ src/parser.c	Tue Nov 23 18:24:16 2004
+@@ -224,7 +224,6 @@
+ 	check_string(&(na->outputfile));
+ 	break;
+     case T_ATTR_NODE_REBOOTARGS : {
+-	extern	void init_reboot_args(NODEATTR *na, int argc, char **argv);
+ 
+ 	int	argc;
+ 	char	**argv;
+@@ -420,7 +419,6 @@
+ static int node_defn(CnetNodetype nodetype)
+ {
+     extern int	add_node(CnetNodetype, char *, int, int *);
+-    extern void	init_reboot_args(int n, int argc, char **argv);
+ 
+     int		thisnode, wasnew;
+ 
